// MFCDLL_Example.cpp : Defines the initialization routines for the DLL.
//

#include "stdafx.h"
#include "MFCDLL_Example.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

//
//	Note!
//
//		If this DLL is dynamically linked against the MFC
//		DLLs, any functions exported from this DLL which
//		call into MFC must have the AFX_MANAGE_STATE macro
//		added at the very beginning of the function.
//
//		For example:
//
//		extern "C" BOOL PASCAL EXPORT ExportedFunction()
//		{
//			AFX_MANAGE_STATE(AfxGetStaticModuleState());
//			// normal function body here
//		}
//
//		It is very important that this macro appear in each
//		function, prior to any calls into MFC.  This means that
//		it must appear as the first statement within the 
//		function, even before any object variable declarations
//		as their constructors may generate calls into the MFC
//		DLL.
//
//		Please see MFC Technical Notes 33 and 58 for additional
//		details.
//

// CMFCDLL_ExampleApp

BEGIN_MESSAGE_MAP(CMFCDLL_ExampleApp, CWinApp)
END_MESSAGE_MAP()


// CMFCDLL_ExampleApp construction

CMFCDLL_ExampleApp::CMFCDLL_ExampleApp()
{
	// TODO: add construction code here,
	// Place all significant initialization in InitInstance
}


// The one and only CMFCDLL_ExampleApp object

CMFCDLL_ExampleApp theApp;


// CMFCDLL_ExampleApp initialization

BOOL CMFCDLL_ExampleApp::InitInstance()
{
	CWinApp::InitInstance();
	
	short iError;
	
	// only load this dll if LoadVCADDDLLS(...) returns TRUE 
	// assume it fails
	BOOL tfLoad = FALSE;
	
	
	// TODO: set the minimum Visual CADD version for your project
	// all the functions in VCADDHelper.cpp are compatible with 
	// Visual CADD version 2.0.1.0 and above.
	// LoadVCADDDLLS(short* iError, BYTE bMajorVersion, BYTE bMinorVersion, BYTE bMinorDotVersion, BYTE bMinorInternalVersion)
	if(LoadVCADDDLLS(&iError, 2, 0, 1, 0))
	{
		// LoadVCADDDLLS(...) will only return TRUE if this the first DLL_PROCESS_ATTACH event
		// and the Visual CADD dlls being loaded are at least the minimum version specified.
		tfLoad = TRUE;
		
		// TODO: add all one time initialization code here
	
	}

	// returning FALSE will cause this dll not to be loaded
	// and ExitInstance(...) function to be called
	return tfLoad;
}

int CMFCDLL_ExampleApp::ExitInstance()
{
	short iError;
	
	// FreeVCADDDLLS(...) will only return TRUE if this the final DLL_PROCESS_DETACH event
	if(FreeVCADDDLLS(&iError))
	{
		// TODO: add all final clean up code here
		
	}

	return CWinApp::ExitInstance();
}
