/*SDOC*************************************************************

	Module:	VCDlg32.h

  Copyright (C) 2017 Gold Run Partners, Inc.  All rights reserved.
  
  Description:	VCDlg32.dll exports
  
	Revision Record:
	
	Version			Changes & Deletions
	========		=====================================================
	5.0.0				Removed: VCLoadAlias - obsolete
								
							Version tags:
									Added version 4.0.0
									Added version 5.0.0
									Added version 6.0.0

*************************************************************EDOC*/

void WINAPI VCAddPlotter(short* iError, char* szPlotterName);
void WINAPI VCAddPlotterLanguageName(short* iError, char* szLanguageName);
void WINAPI VCAddPlotterPageSize(short* iError, Point2D* pPageSize);
void WINAPI VCAddPlotterPenMapName(short* iError, char* szPenMapName);
void WINAPI VCApplyPlotterLanguageDefaults(short* iError);
void WINAPI VCApplyPlotterPenMapDefaults(short* iError);
void WINAPI VCBirdsEye(short* iError, short iDisplayMode);
void WINAPI VCChangeRefFrameNameDlg(short* iError);
void WINAPI VCChangeRibalog(void);
void WINAPI VCCloseRibalog(short* iError);
void WINAPI VCDBLineSettingsRibalog(void);
void WINAPI VCDeInitPrintMode(short* iError);
void WINAPI VCDimArrowRibalog(void);
void WINAPI VCDimDisplayRibalog(void);
void WINAPI VCDimExtRibalog(void);
void WINAPI VCDimLeaderRibalog(void);
void WINAPI VCDimLineRibalog(void);
void WINAPI VCDimStringsRibalog(void);
void WINAPI VCDimTextRibalog(void);
void WINAPI VCDimToleranceRibalog(void);
void WINAPI VCFilletRadiusRibalog(void);
void WINAPI VCFilterRibalog(void);
short WINAPI VCGetCurrentPrinter(short* iError, char* szPrinter);
short WINAPI VCGetDefaultPrinter(short* iError, char* szDefaultPrinter);
HWND WINAPI VCGetDialogFromId(WORD id);
void WINAPI VCGetPlotSettings(short* iError, PlotStruct* pSettings);
short WINAPI VCGetPlotterCount(short* iError);
short WINAPI VCGetPlotterCurrentLanguageName(short* iError, char* szLanguageName);
void WINAPI VCGetPlotterCurrentPageSize(short* iError, short* iIndex, Point2D* pPaperSize);
short WINAPI VCGetPlotterCurrentPenMapName(short* iError, char* szPenMapName);
short WINAPI VCGetPlotterDeInitString(short* iError, char* sz);
short WINAPI VCGetPlotterDelimiter(short* iError, char* sz);
short WINAPI VCGetPlotterInitString(short* iError, char* sz);
short WINAPI VCGetPlotterLanguageCount(short* iError);
short WINAPI VCGetPlotterLanguageName(short* iError, short iIndex, char* szLanguageName);
void WINAPI VCGetPlotterPageSize(short* iError, short iIndex, Point2D* pPaperSize);
short WINAPI VCGetPlotterPageSizeCount(short* iError);
short WINAPI VCGetPlotterPenChangeString(short* iError, char* sz);
short WINAPI VCGetPlotterPenDownString(short* iError, char* sz);
short WINAPI VCGetPlotterPenDrawString(short* iError, char* sz);
short WINAPI VCGetPlotterPenMapCount(short* iError);
short WINAPI VCGetPlotterPenMapName(short* iError, short iIndex, char* szPenMapName);
void WINAPI VCGetPlotterPenMapping(short* iError, short iColor, short* iPen, double* dWidth, short* iSpeed);
short WINAPI VCGetPlotterPenMoveString(short* iError, char* sz);
short WINAPI VCGetPlotterPenSpeedString(short* iError, char* sz);
short WINAPI VCGetPlotterPenUpString(short* iError, char* sz);
void WINAPI VCGetPrintSettings(short* iError, PrintStruct* pSettings);
short WINAPI VCGetPrinterName(short* iError, short iIndex, char* szPrinter);
short WINAPI VCGetPrinterNameCount(short* iError);
void WINAPI VCGetRibalogSize(short* iError, iPoint2D* ipOrg, iPoint2D* ipSize);
short WINAPI VCGetSpecificPrinter(short* iError, char* szSpecificPrinter);
void WINAPI VCGetStatusBarSize(short* iError, iPoint2D* ipOrg, iPoint2D* ipSize);
HWND WINAPI VCGetToolbar(short i);
HWND WINAPI VCGetTopTool(void);
vbool WINAPI VCGetUseHPGL2(short* iError);
void WINAPI VCHatchSettingsRibalog(void);
void WINAPI VCInitDialogs(void);
void WINAPI VCInitPrintMode(short* iError, short iPrintMode);
void WINAPI VCLayerMgr(short* iError);
void WINAPI VCLoadCmdExt(char* szFile, short* iError);
void WINAPI VCLoadMainSpeedbar(char* szFile, short* iError);
void WINAPI VCLoadPlotterDriver(short* iError, char* szName);
void WINAPI VCLoadPlotterLanguage(short* iError, char* szName);
void WINAPI VCLoadPlotterPenMap(short* iError, char* szName);
void WINAPI VCLoadToolPalette(char* szFile, short* iError);
void WINAPI VCMeasureAngleRibalog(void);
void WINAPI VCMeasureAreaRibalog(void);
void WINAPI VCMeasureDistRibalog(void);
void WINAPI VCModalDlg(short* iError, long cmd_id);
void WINAPI VCNoDrawingSpeedbar(short* iError);
void WINAPI VCObjectInfo(short* iError);
void WINAPI VCOffsetRibalog(void);
void WINAPI VCOrthoAngleRibalog(void);
void WINAPI VCPlot(short* iError);
void WINAPI VCPlotDlg(short* iError);
void WINAPI VCPrint(short* iError);
void WINAPI VCPrintDlg(short* iError);
void WINAPI VCPropertiesRibalog(void);
void WINAPI VCRFBirdsEye(short* iError);
void WINAPI VCRFLayerMgr(short* iError);
vbool WINAPI VCRIsButtonDown(short* iError, char* szNative, WORD id);
void WINAPI VCRemovePlotterPageSize(short* iError, short iIndex);
void WINAPI VCResetCmdExt(short* iError);
void WINAPI VCResetPrintMargins(short* iError);
void WINAPI VCSavePlotterDriver(short* iError, char* szName);
void WINAPI VCSavePlotterLanguage(short* iError, char* szName);
void WINAPI VCSavePlotterPenMap(short* iError, char* szName);
void WINAPI VCScriptAssignRibalog(void);
void WINAPI VCSetDefaultPrinter(short* iError, char* szDefaultPrinter);
void WINAPI VCSetDialogFrameHwnd(HWND hWndFrame);
void WINAPI VCSetEmbedded(vbool tfEmbedded);
void WINAPI VCSetPlotSettings(short* iError, PlotStruct* pSettings);
void WINAPI VCSetPlotterCurrentLanguageIndex(short* iError, short iIndex);
void WINAPI VCSetPlotterCurrentLanguageName(short* iError, char* szLanguageName);
void WINAPI VCSetPlotterCurrentPageSize(short* iError, short iIndex);
void WINAPI VCSetPlotterCurrentPenMapIndex(short* iError, short iIndex);
void WINAPI VCSetPlotterCurrentPenMapName(short* iError, char* szPenMapName);
void WINAPI VCSetPlotterDeInitString(short* iError, char* sz);
void WINAPI VCSetPlotterDelimiter(short* iError, char* sz);
void WINAPI VCSetPlotterInitString(short* iError, char* sz);
void WINAPI VCSetPlotterPenChangeString(short* iError, char* sz);
void WINAPI VCSetPlotterPenDownString(short* iError, char* sz);
void WINAPI VCSetPlotterPenDrawString(short* iError, char* sz);
void WINAPI VCSetPlotterPenMapping(short* iError, short iColor, short iPen, double dWidth, short iSpeed);
void WINAPI VCSetPlotterPenMoveString(short* iError, char* sz);
void WINAPI VCSetPlotterPenSpeedString(short* iError, char* sz);
void WINAPI VCSetPlotterPenUpString(short* iError, char* sz);
void WINAPI VCSetPrintSettings(short* iError, PrintStruct* pSettings);
void WINAPI VCSetRefFrameNameDlg(short* iError);
void WINAPI VCSetSpecificPrinter(short* iError, char* szSpecificPrinter);
void WINAPI VCSetUseHPGL2(short* iError, vbool tf);
void WINAPI VCSymCreateRibalog(void);
void WINAPI VCSymPlaceRibalog(void);
void WINAPI VCSymbolMgr(short* iError);
void WINAPI VCTerminateDialogs(void);
void WINAPI VCTextLineRibalog(void);
void WINAPI VCTextSettingsRibalog(void);
void WINAPI VCUpdateBirdseyeView(short* iError, vbool tfRefresh);
void WINAPI VCUpdateDialog(short* iError);

// Added version 4.0.0
void WINAPI VCAddPrintPreset(short* iError, char* szPresetName);
void WINAPI VCDeletePrintPreset(short* iError, char* szPresetName);
void WINAPI VCSetCurrentPrintPreset(short* iError, char* szPresetName);
int WINAPI VCGetCurrentPrintPreset(short* iError, char* szPresetName);
void WINAPI VCSetPrintPresetDevice(short* iError, char* szPresetName, char* szDevice);
int WINAPI VCGetPrintPresetDevice(short* iError, char* szPresetName, char* szDevice);
void WINAPI VCSetPrintPresetPageWidth(short* iError, char* szPresetName, double dPageWidth);
double WINAPI VCGetPrintPresetPageWidth(short* iError, char* szPresetName);
void WINAPI VCSetPrintPresetPageHeight(short* iError, char* szPresetName, double dPageHeight);
double WINAPI VCGetPrintPresetPageHeight(short* iError, char* szPresetName);
void WINAPI VCSetPrintPresetMarginLeft(short* iError, char* szPresetName, double dMarginLeft);
double WINAPI VCGetPrintPresetMarginLeft(short* iError, char* szPresetName);
void WINAPI VCSetPrintPresetMarginBottom(short* iError, char* szPresetName, double dMarginBottom);
double WINAPI VCGetPrintPresetMarginBottom(short* iError, char* szPresetName);
void WINAPI VCSetPrintPresetMarginRight(short* iError, char* szPresetName, double dMarginRight);
double WINAPI VCGetPrintPresetMarginRight(short* iError, char* szPresetName);
void WINAPI VCSetPrintPresetMarginTop(short* iError, char* szPresetName, double dMarginTop);
double WINAPI VCGetPrintPresetMarginTop(short* iError, char* szPresetName);
void WINAPI VCSetPrintPresetPrintScale(short* iError, char* szPresetName, double dPrintScale);
double WINAPI VCGetPrintPresetPrintScale(short* iError, char* szPresetName);
void WINAPI VCSetPrintPresetOriginBP(short* iError, char* szPresetName, Point2D* pOrigin);
void WINAPI VCGetPrintPresetOriginBP(short* iError, char* szPresetName, Point2D* pOrigin);
void WINAPI VCSetPrintPresetOriginX(short* iError, char* szPresetName, double dOriginX);
double WINAPI VCGetPrintPresetOriginX(short* iError, char* szPresetName);
void WINAPI VCSetPrintPresetOriginY(short* iError, char* szPresetName, double dOriginY);
double WINAPI VCGetPrintPresetOriginY(short* iError, char* szPresetName);
void WINAPI VCSetPrintPresetPrintView(short* iError, char* szPresetName, int nPrintView);
int WINAPI VCGetPrintPresetPrintView(short* iError, char* szPresetName);
void WINAPI VCSetPrintPresetLandscape(short* iError, char* szPresetName, vbool tfLandscape);
vbool WINAPI VCGetPrintPresetLandscape(short* iError, char* szPresetName);
void WINAPI VCSetPrintPresetCopies(short* iError, char* szPresetName, int nCopies);
int WINAPI VCGetPrintPresetCopies(short* iError, char* szPresetName);
void WINAPI VCSetPrintPresetRotation(short* iError, char* szPresetName, double dRotation);
double WINAPI VCGetPrintPresetRotation(short* iError, char* szPresetName);
void WINAPI VCSetPrintPresetMetric(short* iError, char* szPresetName, vbool tfMetric);
vbool WINAPI VCGetPrintPresetMetric(short* iError, char* szPresetName);
void WINAPI VCSetPrintPresetFastRedraw(short* iError, char* szPresetName, vbool tfFastRedraw);
vbool WINAPI VCGetPrintPresetFastRedraw(short* iError, char* szPresetName);
void WINAPI VCSetPrintPresetPrintSelected(short* iError, char* szPresetName, vbool tfPrintSelected);
vbool WINAPI VCGetPrintPresetPrintSelected(short* iError, char* szPresetName);
void WINAPI VCSetPrintPresetPrintToFile(short* iError, char* szPresetName, vbool tfPrintToFile);
vbool WINAPI VCGetPrintPresetPrintToFile(short* iError, char* szPresetName);
void WINAPI VCSetPrintPresetDateStamp(short* iError, char* szPresetName, vbool tfDateStamp);
vbool WINAPI VCGetPrintPresetDateStamp(short* iError, char* szPresetName);
void WINAPI VCSetPrintPresetAllToBlack(short* iError, char* szPresetName, short iColorOption);
short WINAPI VCGetPrintPresetAllToBlack(short* iError, char* szPresetName);
void WINAPI VCSetPrintPresetLW0HasWidth(short* iError, char* szPresetName, vbool tfLW0HasWidth);
vbool WINAPI VCGetPrintPresetLW0HasWidth(short* iError, char* szPresetName);
void WINAPI VCSetPrintPresetLineWidth(short* iError, char* szPresetName, double dLineWidth);
double WINAPI VCGetPrintPresetLineWidth(short* iError, char* szPresetName);
void WINAPI VCSetPrintPresetMovePage(short* iError, char* szPresetName, vbool tfMovePage);
vbool WINAPI VCGetPrintPresetMovePage(short* iError, char* szPresetName);
void WINAPI VCSetPrintPresetShowPreview(short* iError, char* szPresetName, vbool tfShowPreview);
vbool WINAPI VCGetPrintPresetShowPreview(short* iError, char* szPresetName);
void WINAPI VCSetPrintPresetPaperSize(short* iError, char* szPresetName, int nPaperSize);
int WINAPI VCGetPrintPresetPaperSize(short* iError, char* szPresetName);
void WINAPI VCSetPrintPresetPaperLength(short* iError, char* szPresetName, int nPaperLength);
int WINAPI VCGetPrintPresetPaperLength(short* iError, char* szPresetName);
void WINAPI VCSetPrintPresetPaperWidth(short* iError, char* szPresetName, int nPaperWidth);
int WINAPI VCGetPrintPresetPaperWidth(short* iError, char* szPresetName);
void WINAPI VCSetPrintPresetAlwaysCenter(short* iError, char* szPresetName, vbool tfAlwaysCenter);
vbool WINAPI VCGetPrintPresetAlwaysCenter(short* iError, char* szPresetName);
void WINAPI VCSetPrintPresetStampFormat(short* iError, char* szPresetName, int nStampFormat);
int WINAPI VCGetPrintPresetStampFormat(short* iError, char* szPresetName);
void WINAPI VCSetPrintPresetStampFontSize(short* iError, char* szPresetName, int nStampFontSize);
int WINAPI VCGetPrintPresetStampFontSize(short* iError, char* szPresetName);
void WINAPI VCSetPrintPresetStampLocation(short* iError, char* szPresetName, int nStampLocation);
int WINAPI VCGetPrintPresetStampLocation(short* iError, char* szPresetName);
void WINAPI VCSetPrintPresetStampFont(short* iError, char* szPresetName, char* szStampFont);
int WINAPI VCGetPrintPresetStampFont(short* iError, char* szPresetName, char* szStampFont);
void WINAPI VCPrintNoDlg(short* iError);

// Added version 5.0.0
void WINAPI VCDrawCurrentEntityToHWND(short* iError, HWND hWnd_);
int WINAPI VCEnumPrintPresets(short* iError, char* szList);
void WINAPI VCLoadMenu(short* iError, char* szMenu);

// Added version 6.0.0
vbool WINAPI VCGetPrintPresetPrintWatermark(short* iError, char* szPresetName);
void WINAPI VCSetPrintPresetPrintWatermark(short* iError, char* szPresetName, vbool tfPrintWatermark);
int WINAPI VCGetPrintPresetWatermark(short* iError, char* szPresetName, char* szWatermark);
void WINAPI VCSetPrintPresetWatermark(short* iError, char* szPresetName, char* szWatermark);
int WINAPI VCGetPrintPresetWatermarkGray(short* iError, char* szPresetName);
void WINAPI VCSetPrintPresetWatermarkGray(short* iError, char* szPresetName, int iWatermarkGray);

// Added version 8.0.0
void WINAPI VCLoadStatusBar(char* szFile, short* iError);
int WINAPI VCGetPrintPresetStampCustom(short* iError, char* szPresetName, char* szStamp);
void WINAPI VCSetPrintPresetStampCustom(short* iError, char* szPresetName, char* szStamp);
UINT WINAPI VCGetScaledDialogTemplate(short* iError, HMODULE hModule, int ID, BYTE* pTemplate, UINT uScale);

// Added version 8.0.2
void WINAPI VCSettingsDlg(short* iError, HWND hOwner, WORD wID);

// Added version 9.0.0
void WINAPI VCCopyPrintPreset(short* iError, char* szPresetName);
