// API_Help_C.cpp : Defines the entry point for the DLL application.
//

#include "stdafx.h"

BOOL APIENTRY DllMain(HANDLE hModule, DWORD ul_reason_for_call, LPVOID lpReserved)
{
  UNUSED_PARAMETER(hModule);
  UNUSED_PARAMETER(lpReserved);
  
  BOOL tfLoad = TRUE;
  short iError = 0;
  
  if (ul_reason_for_call == DLL_PROCESS_ATTACH)
	{
		// only load this dll if LoadVCADDDLLS(...) returns TRUE 
		// assume it fails
		tfLoad = FALSE;
		
		
		// TODO: set the minimum Visual CADD version for your project
		// all the functions in VCADDHelper.cpp are compatible with 
		// Visual CADD version 7.0.1.0 and above.
		// LoadVCADDDLLS(short* iError, BYTE bMajorVersion, BYTE bMinorVersion, BYTE bMinorDotVersion, BYTE bMinorInternalVersion)
		if(LoadVCADDDLLS(&iError, 7, 0, 1, 0))
		{
			// LoadVCADDDLLS(...) will only return TRUE if this the first DLL_PROCESS_ATTACH event
			// and the Visual CADD dlls being loaded are at least the minimum version specified.
			tfLoad = TRUE;
			
			// TODO: add all one time initialization code here
		
		}
	}
	
	else if (ul_reason_for_call == DLL_THREAD_ATTACH)
	{
		// TODO: add any thread attach specific code here
	}
	
	else if (ul_reason_for_call == DLL_PROCESS_DETACH)
	{
		// FreeVCADDDLLS(...) will only return TRUE if this the final DLL_PROCESS_DETACH event
		if(FreeVCADDDLLS(&iError))
		{
			// TODO: add all final clean up code here
			
		}				
	}
	
	else if (ul_reason_for_call == DLL_THREAD_DETACH)
	{
		// TODO: add any thread detach specific code here
	}

	// returning FALSE will cause this dll not to be loaded
	// and the necessary windows clean up routines to be called
	return tfLoad;
}

