// FillFontDlg.cpp : implementation file
//
//Copyright(c) 2018 Gold Run Partners, Inc.

#include "stdafx.h"
#include "FillFontDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFillFontDlg dialog


CFillFontDlg::CFillFontDlg(CWnd* pParent /*=NULL*/)
    : CDialog(CFillFontDlg::IDD, pParent)
{
    //{{AFX_DATA_INIT(CFillFontDlg)
    //}}AFX_DATA_INIT
}


void CFillFontDlg::DoDataExchange(CDataExchange* pDX)
{
    CDialog::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(CFillFontDlg)
    //}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CFillFontDlg, CDialog)
    //{{AFX_MSG_MAP(CFillFontDlg)
    ON_BN_CLICKED(IDC_FILL_ALL, OnFillAll)
    ON_BN_CLICKED(IDC_FILL_MARKED, OnFillMarked)
    ON_BN_CLICKED(IDC_FILL_NONE, OnFillNone)
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFillFontDlg message handlers

BOOL CFillFontDlg::OnInitDialog() 
{
    CDialog::OnInitDialog();

    ((CButton*)GetDlgItem(IDC_FILL_MARKED))->SetCheck(1);
    m_iChecked = IDC_FILL_MARKED;
    
    return TRUE;  // return TRUE unless you set the focus to a control
                  // EXCEPTION: OCX Property Pages should return FALSE
}

void CFillFontDlg::OnFillAll() 
{
    m_iChecked = IDC_FILL_ALL;
}

void CFillFontDlg::OnFillMarked() 
{
    m_iChecked = IDC_FILL_MARKED;
}

void CFillFontDlg::OnFillNone() 
{
    m_iChecked = IDC_FILL_NONE;
}
