/*SDOC*************************************************************

  Module:	VCTool32.cpp

  Copyright (C) 2017 Gold Run Partners, Inc.  All rights reserved.

  Description:	VCTool32.dll exports
  
                                See VCTool32.h for Revision Record:

*************************************************************EDOC*/

#include "stdafx.h"

#include "VCType32.h"
#include "VCTool32.h"
#include "VCUtil32.h"

#ifdef VCLINK_STATIC
    #define hInstVCTOOL32 theApp.GetVCTOOL32()
#else
    extern HMODULE hInstVCTOOL32;
#endif

void WINAPI VCAddPopupCommand(char* szNativeCmd, short iPlacement)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCAddPopupCommand", szNativeCmd, iPlacement);
}

void WINAPI VCAdjoiningToMEP(short* iError)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCAdjoiningToMEP", iError);
}

void WINAPI VCAlignSelected(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCAlignSelected");
}

void WINAPI VCAngularDim(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCAngularDim");
}

void WINAPI VCArc2Pt(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCArc2Pt");
}

void WINAPI VCArc3Pt(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCArc3Pt");
}

void WINAPI VCArrayCopySelected(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCArrayCopySelected");
}

void WINAPI VCAttributeAttach(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCAttributeAttach");
}

void WINAPI VCAttributeCreate(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCAttributeCreate");
}

void WINAPI VCAttributeEdit(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCAttributeEdit");
}

void WINAPI VCAttributeEmbed(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCAttributeEmbed");
}

void WINAPI VCAttributeMove(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCAttributeMove");
}

void WINAPI VCAttributeMultiAttach(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCAttributeMultiAttach");
}

void WINAPI VCBezEdit(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCBezEdit");
}

void WINAPI VCBezierSingle(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCBezierSingle");
}

void WINAPI VCBooleanAdd(short* iError)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCBooleanAdd", iError);
}

void WINAPI VCBooleanIntersect(short* iError)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCBooleanIntersect", iError);
}

void WINAPI VCBooleanSubtract(short* iError)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCBooleanSubtract", iError);
}

void WINAPI VCBoundaryFill(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCBoundaryFill");
}

void WINAPI VCBoundaryHatch(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCBoundaryHatch");
}

void WINAPI VCChamfer(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCChamfer");
}

void WINAPI VCChangeAtbDisplay(short* iError, vbool tfDisplay)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCChangeAtbDisplay", iError, tfDisplay);
}

void WINAPI VCChangeAtbLabelDisplay(short* iError, vbool tfDisplay)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCChangeAtbLabelDisplay", iError, tfDisplay);
}

void WINAPI VCChangeSelected(EAttr* ea)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCChangeSelected", ea);
}

void WINAPI VCChangeSymPlacementColor(short* iError, vbool tfUsePlacementColor, short iNewColor)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCChangeSymPlacementColor", iError, tfUsePlacementColor, iNewColor);
}

void WINAPI VCCircle2Pt(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCCircle2Pt");
}

void WINAPI VCCircle3Pt(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCCircle3Pt");
}

void WINAPI VCCircleDiameter(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCCircleDiameter");
}

void WINAPI VCClearDrawing(WORLDHANDLE hW)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCClearDrawing", hW);
}

void WINAPI VCClearDrawingNoPrompt(WORLDHANDLE hW)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCClearDrawingNoPrompt", hW);
}

void WINAPI VCContBezier(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCContBezier");
}

void WINAPI VCCopySelected(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCCopySelected");
}

void WINAPI VCCopyToLayer(short* iError, short iLayer)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCCopyToLayer", iError, iLayer);
}

void WINAPI VCCornerTrim(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCCornerTrim");
}

long WINAPI VCCreateOleClass(short* iError, char* OleDllName, char* OleClassName)
{
    static FARPROC fp = NULL;
    return intFunction(&fp, hInstVCTOOL32, "VCCreateOleClass", iError, OleDllName, OleClassName);
}

void WINAPI VCCurve(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCCurve");
}

void WINAPI VCDatum(short* iError)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCDatum", iError);
}

void WINAPI VCDeleteOleClass(short* iError, long id)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCDeleteOleClass", iError, id);
}

void WINAPI VCDeletePopupMenu(vbool tf)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCDeletePopupMenu", tf);
}

void WINAPI VCDestroyContextMenu(short* iError, HMENU hMenu)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCDestroyContextMenu", iError, hMenu);
}

void WINAPI VCDiameterDim(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCDiameterDim");
}

void WINAPI VCDigConfig(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCDigConfig");
}

void WINAPI VCDigDrawingAlign(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCDigDrawingAlign");
}

void WINAPI VCDimEdit(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCDimEdit");
}

void WINAPI VCDimMoveArc(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCDimMoveArc");
}

void WINAPI VCDimMoveLine(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCDimMoveLine");
}

void WINAPI VCDimMoveText(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCDimMoveText");
}

void WINAPI VCDimSlideText(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCDimSlideText");
}

void WINAPI VCDispatchCommand(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCDispatchCommand");
}

void WINAPI VCDispatchNextPoint(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCDispatchNextPoint");
}

void WINAPI VCDllRun(short* iError, char* DllName, char* FunctionName, char* CommandLine)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCDllRun", iError, DllName, FunctionName, CommandLine);
}

void WINAPI VCEdit(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCEdit");
}

void WINAPI VCEditAbort(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCEditAbort");
}

void WINAPI VCEditChange(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCEditChange");
}

void WINAPI VCEditComplete(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCEditComplete");
}

void WINAPI VCEllipse(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCEllipse");
}

void WINAPI VCEllipticalArcStartSpan(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCEllipticalArcStartSpan");
}

void WINAPI VCEraseLast(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCEraseLast");
}

void WINAPI VCEraseSelected(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCEraseSelected");
}

void WINAPI VCExplode(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCExplode");
}

void WINAPI VCExtend(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCExtend");
}

void WINAPI VCFillSelected(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCFillSelected");
}

void WINAPI VCFillet(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCFillet");
}

void WINAPI VCFitScaleSelected(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCFitScaleSelected");
}

short WINAPI VCGetDatumMode(short* iError)
{
    static FARPROC fp = NULL;
    return shortFunction(&fp, hInstVCTOOL32, "VCGetDatumMode", iError);
}

vbool WINAPI VCGetCurrentToolContextMenu(short* iError, HMENU* hInMenu)
{
    static FARPROC fp = NULL;
    return shortFunction(&fp, hInstVCTOOL32, "VCGetCurrentToolContextMenu", iError, hInMenu);
}

short WINAPI VCGetPrompt(short iPromptIndex, char* szPrompt)
{
    static FARPROC fp = NULL;
    return shortFunction(&fp, hInstVCTOOL32, "VCGetPrompt", iPromptIndex, szPrompt);
}

WORD WINAPI VCGetRibbolog(void)
{
    static FARPROC fp = NULL;
    return WORDFunction(&fp, hInstVCTOOL32, "VCGetRibbolog");
}

WORD WINAPI VCGetToolID(void)
{
    static FARPROC fp = NULL;
    return WORDFunction(&fp, hInstVCTOOL32, "VCGetToolID");
}

short WINAPI VCGetUserToolState(short* iError)
{
    static FARPROC fp = NULL;
    return shortFunction(&fp, hInstVCTOOL32, "VCGetUserToolState", iError);
}

void WINAPI VCGridOrigin(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCGridOrigin");
}

void WINAPI VCHatchSelected(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCHatchSelected");
}

void WINAPI VCIrregularPolygon(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCIrregularPolygon");
}

void WINAPI VCLeader(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCLeader");
}

void WINAPI VCLeaderEdit(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCLeaderEdit");
}

void WINAPI VCLike(long hw, char ch)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCLike", hw, ch);
}

void WINAPI VCLine(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCLine");
}

void WINAPI VCLineContinuous(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCLineContinuous");
}

void WINAPI VCLinearDim(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCLinearDim");
}

void WINAPI VCLoadAscii(short* iError, char* szAscii)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCLoadAscii", iError, szAscii);
}

void WINAPI VCLoadLnt(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCLoadLnt");
}

void WINAPI VCMButtonDown(long lParam, WORD wParam)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCMButtonDown", lParam, wParam);
}

void WINAPI VCMLine(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCMLine");
}

void WINAPI VCMatchEntity(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCMatchEntity");
}

void WINAPI VCMatchTool(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCMatchTool");
}

void WINAPI VCMeasureAngle2(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCMeasureAngle2");
}

void WINAPI VCMeasureAngle3(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCMeasureAngle3");
}

void WINAPI VCMeasureArea(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCMeasureArea");
}

void WINAPI VCMeasureDistance(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCMeasureDistance");
}

void WINAPI VCMerge(char* pName)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCMerge", pName);
}

void WINAPI VCMergePolygonsTool(short* iError)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCMergePolygonsTool", iError);
}

void WINAPI VCMirrorSelected(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCMirrorSelected");
}

void WINAPI VCModBreak(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCModBreak");
}

void WINAPI VCMovePoint(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCMovePoint");
}

void WINAPI VCMoveSelected(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCMoveSelected");
}

void WINAPI VCMoveToLayer(short* iError, short iLayer)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCMoveToLayer", iError, iLayer);
}

void WINAPI VCMultipleCopy(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCMultipleCopy");
}

void WINAPI VCNewHandle(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCNewHandle");
}

void WINAPI VCOffsetMEP(short* iError)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCOffsetMEP", iError);
}

void WINAPI VCOffsetPnt(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCOffsetPnt");
}

void WINAPI VCOleClassMethodInvoke(short* iError, char* DllName, char* ClassName, char* MethodName, char* CmdLine)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCOleClassMethodInvoke", iError, DllName, ClassName, MethodName, CmdLine);
}

void WINAPI VCOrdinateDim(short* iError)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCOrdinateDim", iError);
}

void WINAPI VCPackData(WORLDHANDLE hW)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCPackData", hW);
}

vbool WINAPI VCPastable(void)
{
    static FARPROC fp = NULL;
    return shortFunction(&fp, hInstVCTOOL32, "VCPastable");
}

void WINAPI VCPaste(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCPaste");
}

void WINAPI VCPlaceCurrentSymbol(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCPlaceCurrentSymbol");
}

void WINAPI VCPoint(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCPoint");
}

void WINAPI VCPopupButton(long lParam, WORD wParam)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCPopupButton", lParam, wParam);
}

void WINAPI VCPurgeLnt(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCPurgeLnt");
}

void WINAPI VCRButtonDown(long lParam, WORD wParam)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCRButtonDown", lParam, wParam);
}

void WINAPI VCRFSize(short* iError)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCRFSize", iError);
}

void WINAPI VCRFZoomAll(short* iError)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCRFZoomAll", iError);
}

void WINAPI VCRFZoomArea(short* iError)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCRFZoomArea", iError);
}

void WINAPI VCRFZoomIn(short* iError)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCRFZoomIn", iError);
}

void WINAPI VCRFZoomOut(short* iError)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCRFZoomOut", iError);
}

void WINAPI VCRFZoomPan(short* iError)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCRFZoomPan", iError);
}

void WINAPI VCRFZoomAnchor(short* iError)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCRFZoomAnchor", iError);
}

void WINAPI VCRFZoomPrevious(short* iError)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCRFZoomPrevious", iError);
}

void WINAPI VCRFZoomRegen(short* iError)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCRFZoomRegen", iError);
}

void WINAPI VCRFZoomValue(short* iError)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCRFZoomValue", iError);
}

void WINAPI VCRFZoomView(short* iError)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCRFZoomView", iError);
}

void WINAPI VCRPolygonCenter(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCRPolygonCenter");
}

void WINAPI VCRPolygonSide(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCRPolygonSide");
}

void WINAPI VCRadCopySelected(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCRadCopySelected");
}

void WINAPI VCRadialDim(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCRadialDim");
}

void WINAPI VCRectangle2Pt(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCRectangle2Pt");
}

void WINAPI VCRectangle3Pt(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCRectangle3Pt");
}

void WINAPI VCRedo(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCRedo");
}

void WINAPI VCRefFrameCreate(short* iError)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCRefFrameCreate", iError);
}

void WINAPI VCRefFramePlace(short* iError)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCRefFramePlace", iError);
}

void WINAPI VCRegenArea(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCRegenArea");
}

void WINAPI VCReplaceSymbol(char* szFrom, char* szTo, vbool tfSelectedOnly)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCReplaceSymbol", szFrom, szTo, tfSelectedOnly);
}

void WINAPI VCRotateSelected(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCRotateSelected");
}

void WINAPI VCRun(char* szName)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCRun", szName);
}

void WINAPI VCRunNested(char* szName)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCRunNested", szName);
}

void WINAPI VCRunNestedDll(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCRunNestedDll");
}

void WINAPI VCScaleSelected(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCScaleSelected");
}

void WINAPI VCSeedFill(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSeedFill");
}

void WINAPI VCSeedHatch(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSeedHatch");
}

void WINAPI VCSelect(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSelect");
}

void WINAPI VCSelectAdjoining(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSelectAdjoining");
}

void WINAPI VCSelectCrossingWindow(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSelectCrossingWindow");
}

void WINAPI VCSelectLastEntity(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSelectLastEntity");
}

void WINAPI VCSelectLastObject(short* iError)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSelectLastObject", iError);
}

void WINAPI VCSelectObject(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSelectObject");
}

void WINAPI VCSelectWindow(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSelectWindow");
}

void WINAPI VCSelectionExtend(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSelectionExtend");
}

void WINAPI VCSelectionFilter(WORD CmdID, WORD id)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSelectionFilter", CmdID, id);
}

void WINAPI VCSelectionRibalog(WORD id)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSelectionRibalog", id);
}

void WINAPI VCSelectionTrim(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSelectionTrim");
}

void WINAPI VCSelectionTrimSingleTarget(short* iError)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSelectionTrimSingleTarget", iError);
}

void WINAPI VCSetBasepoint(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSetBasepoint");
}

void WINAPI VCSetDatumMode(short* iError, short iMode)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSetDatumMode", iError, iMode);
}

vbool WINAPI VCSetPrompt(short iPromptIndex, char* szPrompt)
{
    static FARPROC fp = NULL;
    return shortFunction(&fp, hInstVCTOOL32, "VCSetPrompt", iPromptIndex, szPrompt);
}

void WINAPI VCSetRibbolog(WORD id)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSetRibbolog", id);
}

void WINAPI VCSetUserTool(short iStates, char* szNativeCmd, char* szFirstPrompt)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSetUserTool", iStates, szNativeCmd, szFirstPrompt);
}

void WINAPI VCSetUserToolState(short* iError, short iNewState)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSetUserToolState", iError, iNewState);
}

void WINAPI VCSnapArcCenter(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSnapArcCenter");
}

void WINAPI VCSnapCloseGeom(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSnapCloseGeom");
}

void WINAPI VCSnapClosestPoint(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSnapClosestPoint");
}

void WINAPI VCSnapEndPoint(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSnapEndPoint");
}

void WINAPI VCSnapInt(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSnapInt");
}

void WINAPI VCSnapLastPoint(long lParam, WORD wParam)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSnapLastPoint", lParam, wParam);
}

void WINAPI VCSnapMid2Points(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSnapMid2Points");
}

void WINAPI VCSnapMidPoint(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSnapMidPoint");
}

void WINAPI VCSnapNearPoint(long lParam, WORD wParam)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSnapNearPoint", lParam, wParam);
}

void WINAPI VCSnapParallel(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSnapParallel");
}

void WINAPI VCSnapPercent(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSnapPercent");
}

void WINAPI VCSnapPerpendicular(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSnapPerpendicular");
}

void WINAPI VCSnapQuad(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSnapQuad");
}

void WINAPI VCSnapTangent(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSnapTangent");
}

void WINAPI VCSpecificAttributeAttach(long lParam)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSpecificAttributeAttach", lParam);
}

void WINAPI VCSplitPolygonTool(short* iError)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSplitPolygonTool", iError);
}

void WINAPI VCStretchSelected(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCStretchSelected");
}

void WINAPI VCSymbolCreate(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSymbolCreate");
}

void WINAPI VCSymbolExplode(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSymbolExplode");
}

void WINAPI VCSymbolPlace(char* szName)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSymbolPlace", szName);
}

void WINAPI VCTextManager(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCTextManager");
}

void WINAPI VCTextTool(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCTextTool");
}

void WINAPI VCTracking(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCTracking");
}

void WINAPI VCTrim(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCTrim");
}

void WINAPI VCUndo(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCUndo");
}

void WINAPI VCUndoLastVertex(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCUndoLastVertex");
}

void WINAPI VCUpdateTool(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCUpdateTool");
}

void WINAPI VCUserMatch(WORD id)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCUserMatch", id);
}

void WINAPI VCUserPoint(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCUserPoint");
}

void WINAPI VCWindowStretch(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCWindowStretch");
}

void WINAPI VCZoomArea(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCZoomArea");
}

void WINAPI VCZoomIn(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCZoomIn");
}

void WINAPI VCZoomOut(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCZoomOut");
}

void WINAPI VCZoomPan(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCZoomPan");
}

void WINAPI VCZoomValue(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCZoomValue");
}

vbool WINAPI VCGetUserToolSnapable(void)
{
    static FARPROC fp = NULL;
    return shortFunction(&fp, hInstVCTOOL32, "VCGetUserToolSnapable");
}

void WINAPI VCSetUserToolSnapable(vbool tf)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSetUserToolSnapable", tf);
}

void WINAPI VCDivide(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCDivide");
}

void WINAPI VCExplodeToGroup(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCExplodeToGroup");
}

void WINAPI VCSkewSelected(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSkewSelected");
}

void WINAPI VCRButtonDownEx(long lParam, WORD wParam)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCRButtonDownEx", lParam, wParam);
}

void WINAPI VCMButtonDownEx(long lParam, WORD wParam)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCMButtonDownEx", lParam, wParam);
}

void WINAPI VCMButtonUp(long lParam, WORD wParam)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCMButtonUp", lParam, wParam);
}

void WINAPI VCZoomAutoPan(void)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCZoomAutoPan");
}

void WINAPI VCSetUserToolEx(short iStates, char* szNativeCmd, char* szFirstPrompt, DWORD dw)
{
    static FARPROC fp = NULL;
    voidFunction(&fp, hInstVCTOOL32, "VCSetUserToolEx", iStates, szNativeCmd, szFirstPrompt, dw);
}

